> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get location inventories for a list of products

> Get location inventories for a list of products



## OpenAPI

````yaml /openapi/openapi_catalog_storefront.json post /commerce/catalog/storefront/products/locationinventory
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_STOREFRONT">
                <h2>CATALOG STOREFRONT</h2>
                <p>The Catalog Storefront APIs are a collection of resources for managing storefront categories, currencies, price lists, products, and
                    product search. This controls how the products in your catalog are organized and displayed on the
                    storefront. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Currencies</strong> resource to retrieve exchange rates for displaying prices on your storefront.</p>
                <p>Use the <strong>Storefront Categories</strong> resource to view the product category hierarchy as it appears to shoppers
                    who are browsing the storefront. The hierarchy can be returned as a flat list or as a category tree.</p>
                <p>Use the <strong>Pricelists</strong> resource to retrieve the details of a price list. The details may contain a hierarchy
                    of ancestor and/or descendant price lists dependening on your configuration.</p>
                <p>Use the <strong>Storefront Products</strong> resource to manage the shopper product selection process during a visit to
                    the web storefront. You can update product options as shoppers pick and choose their product choices. A
                    shopper cannot add a product to a cart until all of its required options have been selected.</p>
                <p>Use the <strong>Product Search</strong> resource to provide dynamic search results to shoppers as they browse and search
                    for products on the web storefront, and to suggest possible search terms as the shopper enters text. The related <strong>Search Redirect</strong>
                    resource allows you to retrieve any search redirect items.</p>
            </div>
  title: Catalog Storefront
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/storefront/products/locationinventory:
    post:
      tags:
        - StorefrontProducts
      summary: Get location inventories for a list of products
      description: Get location inventories for a list of products
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LocationInventoryQuery'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationInventoryCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/LocationInventoryCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/LocationInventoryCollection'
          description: OK
components:
  schemas:
    LocationInventoryQuery:
      description: The inventory for a product at a specific Location
      properties:
        forceDefaultsForUnspecifiedTagCategories:
          deprecated: true
          type: boolean
        granularInventoryFields:
          $ref: '#/components/schemas/GranularInventoryField'
        includeFutureInventory:
          type: boolean
        includeSegmentedInventory:
          type: boolean
        inventoryTags:
          items:
            $ref: '#/components/schemas/CatalogRuntimesInventoryTag'
          nullable: true
          type: array
        locationCodes:
          items:
            type: string
          nullable: true
          type: array
        productCodes:
          items:
            type: string
          nullable: true
          type: array
      type: object
    LocationInventoryCollection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/LocationInventory'
          nullable: true
          type: array
        totalCount:
          format: int32
          type: integer
      type: object
    GranularInventoryField:
      description: Inventory for a product at a specific location
      properties:
        condition:
          description: Condition
          nullable: true
          type: string
        serialNumber:
          description: Serial Number
          nullable: true
          type: string
      type: object
    CatalogRuntimesInventoryTag:
      description: The tags for the inventory
      properties:
        name:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    LocationInventory:
      description: The inventory for a product at a specific Location
      properties:
        bopisFulfillmentDate:
          format: date-time
          nullable: true
          type: string
        bopisProcessingTimeHours:
          format: int32
          nullable: true
          type: integer
        futureInventories:
          items:
            $ref: '#/components/schemas/CatalogRuntimesFutureInventory'
          nullable: true
          type: array
        locationCode:
          nullable: true
          type: string
        mfgPartNumber:
          nullable: true
          type: string
        productCode:
          nullable: true
          type: string
        segmentedQuantities:
          items:
            $ref: '#/components/schemas/SegmentedQuantity'
          nullable: true
          type: array
        sku:
          nullable: true
          type: string
        softStockAvailable:
          format: int32
          nullable: true
          type: integer
        sthFulfillmentDate:
          format: date-time
          nullable: true
          type: string
        sthProcessingTimeHours:
          format: int32
          nullable: true
          type: integer
        stockAvailable:
          format: int32
          nullable: true
          type: integer
        transferFulfillmentDate:
          format: date-time
          nullable: true
          type: string
        transferProcessingTimeHours:
          format: int32
          nullable: true
          type: integer
      type: object
    CatalogRuntimesFutureInventory:
      description: The future inventory for a product at a specific Location
      properties:
        allocated:
          format: int32
          nullable: true
          type: integer
        available:
          format: int32
          nullable: true
          type: integer
        bopisProcessingTimeDate:
          format: int32
          nullable: true
          type: integer
        bopisProcessingTimeHours:
          format: int32
          nullable: true
          type: integer
        createDate:
          format: date-time
          nullable: true
          type: string
        deliveryDate:
          format: date-time
          nullable: true
          type: string
        futureInventoryID:
          format: int32
          nullable: true
          type: integer
        onhand:
          format: int32
          nullable: true
          type: integer
        pending:
          format: int32
          nullable: true
          type: integer
        sthFulfillmentDate:
          format: date-time
          nullable: true
          type: string
        sthProcessingTimeHours:
          format: int32
          nullable: true
          type: integer
        transferFulfillmentDate:
          format: date-time
          nullable: true
          type: string
        transferProcessingTimeHours:
          format: int32
          nullable: true
          type: integer
      type: object
    SegmentedQuantity:
      properties:
        bopisFulfillmentDate:
          format: date-time
          nullable: true
          type: string
        bopisProcessingTimeHours:
          format: int32
          nullable: true
          type: integer
        futureInventory:
          items:
            $ref: '#/components/schemas/CatalogRuntimesFutureInventory'
          nullable: true
          type: array
        isAvailable:
          nullable: true
          type: boolean
        quantity:
          format: int32
          nullable: true
          type: integer
        sthFulfillmentDate:
          format: date-time
          nullable: true
          type: string
        sthProcessingTimeHours:
          format: int32
          nullable: true
          type: integer
        tags:
          items:
            $ref: '#/components/schemas/TagData'
          nullable: true
          type: array
        transferFulfillmentDate:
          format: date-time
          nullable: true
          type: string
        transferProcessingTimeHours:
          format: int32
          nullable: true
          type: integer
      type: object
    TagData:
      properties:
        category:
          nullable: true
          type: string
        tag:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````